Port-block allocation (deterministic NAT)
termoProvedores e telecomgovernança e risco
Atribuir a cada assinante um bloco fixo e previsível de portas de origem pela duração da sessão, e registrar essa atribuição - em vez de registrar cada tradução individual conforme acontece.
É a diferença entre uma obrigação de guarda que cabe no orçamento e outra que não cabe: o log passa de por-fluxo para por-sessão, e a atribuição vira aritmética em vez de varredura numa base de fluxos. Isso importa mais onde a saída é um nome entregue a um juízo, porque uma resposta defensável exige endereço, porta e horário juntos. A troca é que o tamanho do bloco limita as conexões simultâneas do assinante, e um bloco subdimensionado produz falhas que o usuário relata como defeito aleatório de rede.
Dois esquemas dividem o nome. Na forma dinâmica da RFC 7768, o NAT dá ao assinante um bloco de portas, por exemplo de 2001 a 2300, no primeiro pacote, acrescenta outro bloco quando precisa e grava uma linha de log por bloco alocado ou liberado, o que reduz o volume de log pelo tamanho do bloco; ela cita 42,5 TB de log por sessão contra 40,6 GB com blocos, para 20.000 assinantes em 60 dias, cerca de 1.047 para 1. Na forma determinística da RFC 7422, o bloco é função do endereço interno, e só mudanças de configuração e blocos de transbordo precisam de log.
O exemplo da RFC 7422 põe 198.51.100.0/28 atrás de 192.0.2.1 com fator de pool dinâmico 2, razão de 1:16, e (65536 menos 1024)/16 = 4032 portas por endereço interno: o assinante 1 fica com 1024 a 5055 e o pool dinâmico vai de 57472 a 65535. Uma denúncia sobre a porta 2001 aponta direto para o assinante 1; uma sobre a porta 58204 cai no pool dinâmico e exige o log. O CGN tem de guardar um registro sempre que esses parâmetros mudam.
A troca fica entre os três objetivos flexíveis da RFC 6888, aproveitamento de portas, volume de log e resistência a adivinhação de portas, e por isso a RFC 7422 pede escolha aleatória de porta dentro de cada bloco.
Também conhecido como: deterministic nat, port block, pba, log reduction
Fontes
- RFC 6888, Common Requirements for Carrier-Grade NATs (CGNs), April 2013: section 5 (read 2026-10-19)
- RFC 7768, Port Management to Reduce Logging in Large-Scale NATs, January 2016: sections 1 and 2 (read 2026-10-19)
- RFC 7422, Deterministic Address Mapping to Reduce Logging in Carrier-Grade NAT Deployments, December 2014: sections 2, 2.3 and 3 (read 2026-10-19)